Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QHBoxLayout Class Reference

The QHBoxLayout class lines up widgets horizontally. More...

    #include <QHBoxLayout>

Inherits QBoxLayout.

- List of all members, including inherited members
- Obsolete members

### Writable Properties

- 3 writable properties inherited from QLayout
- 1 writable property inherited from QObject

### Public Functions

- QHBoxLayout ()
- QHBoxLayout ( QWidget * parent )
- QHBoxLayout ( QLayout * parentLayout )
- ~QHBoxLayout ()

- 26 public functions inherited from QBoxLayout
- 21 public functions inherited from QLayout
- 26 public functions inherited from QObject
- 16 public functions inherited from QLayoutItem

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 1 static public member inherited from QLayout
- 4 static public members inherited from QObject

### Protected Functions

- 1 protected function inherited from QBoxLayout
- 4 protected functions inherited from QLayout
- 7 protected functions inherited from QObject

## Detailed Description

The QHBoxLayout class lines up widgets horizontally.

This class is used to construct horizontal box layout objects. See QBoxLayout for more details.

The simplest use of the class is like this:

        QBoxLayout * l = new QHBoxLayout(widget);
        l->addWidget(existingChildOfWidget);
        l->addWidget(anotherChildOfWidget);

the Layout overview

See also QVBoxLayout and QGridLayout.

## Member Function Documentation

### QHBoxLayout::QHBoxLayout ()

Constructs a new horizontal box. You must add it to another layout.

### QHBoxLayout::QHBoxLayout ( QWidget * parent )

Constructs a new top-level horizontal box with parent parent.

### QHBoxLayout::QHBoxLayout ( QLayout * parentLayout )

Constructs a new horizontal box and adds it to parentLayout.

### QHBoxLayout::~QHBoxLayout ()

Destroys this box layout.

The layout's widgets aren't destroyed.